package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.cpzslibs.prot.handset.bean.res.TrainStationBean;

public interface TrainStationDal {
	/**
	 * 插入火车站台的信息
	 * @param stationBean
	 */
	void insertTrainStaion(TrainStationBean stationBean);
	/**
	 * 插入所有的火车站台信息
	 * @param stationBean
	 */
	void insertAllTrainStaion(List<TrainStationBean> stationBeans);
	/**
	 * 查询所有的火车车站信息
	 * @return
	 */
	List<TrainStationBean>  queryAllStationInfo();
	/**
	 * 通过省份简称查询火车车站信息
	 * @param provinceCode
	 * @return
	 */
	List<TrainStationBean> queryStationByProvinceCode(String provinceCode);
	/**
	 * 通过条件查询车站信息
	 * @param provinceCode
	 * @param condition
	 * @return
	 */
	List<TrainStationBean> searchTrainStationByCondition(String provinceCode,String condition);
	
	/**
	 * 通过车站id查询车站信息
	 * @param id
	 * @return
	 */
	TrainStationBean queryStationById(int id);
	/**
	 * 查询所有的省份简称
	 * @return
	 */
	List<String> queryAllProvinceCode();
	/**
	 * 删除所有的车站信息
	 */
	void deleteAllStation();
	
	TrainStationBean getTrainStation(Cursor c);
	
}
